glibmm: Glib::Variant< std::vector< Glib::ustring > > Class Template Reference

glibmm 2.28.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions
Glib::Variant< std::vector< Glib::ustring > > Class Template Reference
Variant Data Types

Specialization of Variant containing an array of UTF-8 capable strings. More...

`#include <glibmm/variant.h>`

Inheritance diagram for Glib::Variant< std::vector< Glib::ustring > >:
[legend]

List of all members.

## Public Types
typedef Glib::ustring | CppType
typedef std::vector < Glib::ustring > | CppContainerType
## Public Member Functions
| Variant ()
| Default constructor.
| Variant (GVariant* castitem, bool take_a_reference=false)
| GVariant constructor.
Glib::ustring | get_child (gsize index) const
| Gets a specific element of the string array.
std::vector< Glib::ustring > | get () const
| Gets the string vector of the Variant.
VariantIter | get_iter () const
| Gets a VariantIter of the Variant.
## Static Public Member Functions
static const VariantType& | variant_type ()
| Gets the VariantType.
static Variant< std::vector < Glib::ustring > > | create (const std::vector< Glib::ustring >& data)
| Creates a new Variant from an array of strings.

## Detailed Description

### template<>
class Glib::Variant< std::vector< Glib::ustring > >

Specialization of Variant containing an array of UTF-8 capable strings.

Since glibmm 2.28:

## Member Typedef Documentation

typedef std::vector<Glib::ustring> Glib::Variant< std::vector< Glib::ustring > >::CppContainerType

typedef Glib::ustring Glib::Variant< std::vector< Glib::ustring > >::CppType

Reimplemented from Glib::VariantContainerBase.

## Constructor & Destructor Documentation

Glib::Variant< std::vector< Glib::ustring > >::Variant | ( |  | ) |

Default constructor.

Glib::Variant< std::vector< Glib::ustring > >::Variant | ( | GVariant< std::vector< Glib::ustring > >* | castitem,
|  | bool | take_a_reference = `false`
| ) |  | `[explicit]`

GVariant constructor.

Parameters:

  castitem | The GVariant to wrap.
  take_a_reference | Whether to take an extra reference of the GVariant or not (not taking one could destroy the GVariant with the wrapper).

## Member Function Documentation

static Variant< std::vector<Glib::ustring> > Glib::Variant< std::vector< Glib::ustring > >::create | ( | const std::vector< Glib::ustring >& | data | ) | `[static]`

Creates a new Variant from an array of strings.

Parameters:

  data | The array to use for creation.

Returns:
  The new Variant.

Since glibmm 2.28:

std::vector<Glib::ustring> Glib::Variant< std::vector< Glib::ustring > >::get | ( |  | ) | const

Gets the string vector of the Variant.

Returns:
  The vector.

Since glibmm 2.28:

Glib::ustring Glib::Variant< std::vector< Glib::ustring > >::get_child | ( | gsize | index | ) | const

Gets a specific element of the string array.

It is an error if index is greater than the number of child items in the container. See VariantContainerBase::get_n_children().

This function is O(1).

Parameters:

  index | The index of the element.

Returns:
  The element at index .

Exceptions:

  std::out_of_range |

Since glibmm 2.28:

VariantIter Glib::Variant< std::vector< Glib::ustring > >::get_iter | ( |  | ) | const

Gets a VariantIter of the Variant.

Returns:
  the VaraintIter.

Since glibmm 2.28:

static const VariantType& Glib::Variant< std::vector< Glib::ustring > >::variant_type | ( |  | ) | `[static]`

Gets the VariantType.

Returns:
  The VariantType.

Since glibmm 2.28: